package com.ghy.common.adapay;

/**
 * 支付渠道 https://docs.adapay.tech/api/appendix.html#id2
 *
 * @author HH 2022/3/25
 */
public enum PayChannelEnum {

    ALIPAY(PayChannel.ALIPAY, "支付宝App支付"),
    ALIPAY_QR(PayChannel.ALIPAY_QR, "支付宝正扫"),
    ALIPAY_WAP(PayChannel.ALIPAY_WAP, "支付宝H5支付"),
    ALIPAY_LITE(PayChannel.ALIPAY_LITE, "支付宝小程序支付"),
    ALIPAY_PUB(PayChannel.ALIPAY_PUB, "支付宝生活号支付"),
    ALIPAY_SCAN(PayChannel.ALIPAY_SCAN, "支付宝反扫"),

    WX_PUB(PayChannel.WX_PUB, "微信公众号"),
    WX_LITE(PayChannel.WX_LITE, "微信小程序"),
    WX_SCAN(PayChannel.WX_SCAN, "微信反扫");

    private final String code;
    private final String description;

    PayChannelEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }

    public String getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }
}
